Bug 53672 - libdl.so causes gdb to miss breakpoints
Summary: libdl.so causes gdb to miss breakpoints
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gdb   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-14 16:09 UTC by IBM Bug Proxy
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-17 09:34:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2001:159 high SHIPPED_LIVE Updated gdb is available 2001-11-26 05:00:00 UTC

Description IBM Bug Proxy 2001-09-14 16:09:08 UTC
LTC 254

Hardware Environment:  x86

Software Environment:  RedHat 7.x (even tried a recent beta 7.2)
works on RedHat 6.x, SuSE, Debian

Steps to Reproduce:
1.  create blah.c:  echo "int main() { return 0; }" >blah.c
2.  compile:  $ gcc -o blah blah.c
3.  $ gdb ./blah
4.  (gdb) break main
5.  (gdb) run
6.  Note that it successfully hits the breakpoint...
7.  (gdb) quit
8.  compile:  $ gcc -o blah blah.c -ldl
9.  repeat steps 3-5
10. Note that the breakpoint is missed, and gdb prints a number of error
messages.

Actual Results:  breakpoint at main() is missed, and error messages from
gdb

Expected Results:  breakpoint hit (no error messages)

Contact Information:  pacman@us.ibm.com (Paul Clarke)
alternate contact:  smoser@us.ibm.com (Scott Moser)

Additional Information:
We also brought /lib/libdl-2.2.4.so from a Debian and this problem went
away.
The machines on which the failure occured has /lib/libdl-2.2.2.so.

Comment 1 Trond Eivind Glomsrxd 2001-09-14 16:39:22 UTC
Jakub, this looks glibc related?

Comment 2 Jakub Jelinek 2001-09-17 09:34:08 UTC
Does not look like that very much. It is reproduceable with our libdl-2.2.4.so
too.
Without debugging gdb I cannot say what's going on and why gdb becomes confused.
Certainly it is not clear from gdb strace.

Comment 3 Trond Eivind Glomsrxd 2001-10-26 16:17:38 UTC
Fixed in gdb-5.0.91rh-1



Note You need to log in before you can comment on or make changes to this bug.